#ifndef DEFAULTDISPLAY_H_
#define DEFAULTDISPLAY_H_

#include <X11/Xlib.h>

class DefaultDisplay
{
	Display* display;

	DefaultDisplay()
	{
		display = XOpenDisplay(0);
	}
	~DefaultDisplay()
	{
		XCloseDisplay(display);
	}

	friend Display* GetDefaultDisplay();
};

Display* GetDefaultDisplay();

#endif
