#include "XWindowKeyboardInput.h"

void XWindowKeyboardInput::PostOSKeyEvent(KeyCode code, bool pressed)
{
	KeyEvent keyEv;
	keyEv.key = KT_INVALID;
	keyEv.pressed = pressed;

	switch(code)
	{
		case 9: keyEv.key = KT_ESC; break;
		case 67: keyEv.key = KT_F1; break;
		case 68: keyEv.key = KT_F2; break;
		case 69: keyEv.key = KT_F3; break;
		case 70: keyEv.key = KT_F4; break;
		case 71: keyEv.key = KT_F5; break;
		case 72: keyEv.key = KT_F6; break;
		case 73: keyEv.key = KT_F7; break;
		case 74: keyEv.key = KT_F8; break;
		case 75: keyEv.key = KT_F9; break;
		case 76: keyEv.key = KT_F10; break;
		case 95: keyEv.key = KT_F11; break;
		case 96: keyEv.key = KT_F12; break;
		case 110: keyEv.key = KT_PAUSE; break;
		case 49: keyEv.key = KT_TILDE; break;
		case 10: keyEv.key = KT_1; break;
		case 11: keyEv.key = KT_2; break;
		case 12: keyEv.key = KT_3; break;
		case 13: keyEv.key = KT_4; break;
		case 14: keyEv.key = KT_5; break;
		case 15: keyEv.key = KT_6; break;
		case 16: keyEv.key = KT_7; break;
		case 17: keyEv.key = KT_8; break;
		case 18: keyEv.key = KT_9; break;
		case 19: keyEv.key = KT_0; break;
		case 20: keyEv.key = KT_MINUS; break;
		case 21: keyEv.key = KT_EQUAL; break;
		case 22: keyEv.key = KT_BACKSPACE; break;
		case 23: keyEv.key = KT_TAB; break;
		case 24: keyEv.key = KT_Q; break;
		case 25: keyEv.key = KT_W; break;
		case 26: keyEv.key = KT_E; break;
		case 27: keyEv.key = KT_R; break;
		case 28: keyEv.key = KT_T; break;
		case 29: keyEv.key = KT_Y; break;
		case 30: keyEv.key = KT_U; break;
		case 31: keyEv.key = KT_I; break;
		case 32: keyEv.key = KT_O; break;
		case 33: keyEv.key = KT_P; break;
		case 34: keyEv.key = KT_SQUARE_BRACKET_L; break;
		case 35: keyEv.key = KT_SQUARE_BRACKET_R; break;
		case 51: keyEv.key = KT_BACKSLASH; break;
		case 66: keyEv.key = KT_CAPSLOCK; break;
		case 38: keyEv.key = KT_A; break;
		case 39: keyEv.key = KT_S; break;
		case 40: keyEv.key = KT_D; break;
		case 41: keyEv.key = KT_F; break;
		case 42: keyEv.key = KT_G; break;
		case 43: keyEv.key = KT_H; break;
		case 44: keyEv.key = KT_J; break;
		case 45: keyEv.key = KT_K; break;
		case 46: keyEv.key = KT_L; break;
		case 47: keyEv.key = KT_SEMICOLON; break;
		case 48: keyEv.key = KT_APOSTROPHE; break;
		case 36: keyEv.key = KT_ENTER; break;
		case 50: keyEv.key = KT_SHIFT; break;
		case 52: keyEv.key = KT_Z; break;
		case 53: keyEv.key = KT_X; break;
		case 54: keyEv.key = KT_C; break;
		case 55: keyEv.key = KT_V; break;
		case 56: keyEv.key = KT_B; break;
		case 57: keyEv.key = KT_N; break;
		case 58: keyEv.key = KT_M; break;
		case 59: keyEv.key = KT_COMMA; break;
		case 60: keyEv.key = KT_PERIOD; break;
		case 61: keyEv.key = KT_SLASH; break;
		case 37: keyEv.key = KT_CTRL; break;
		case 65: keyEv.key = KT_SPACE; break;
		case 100: keyEv.key = KT_LEFT; break;
		case 102: keyEv.key = KT_RIGHT; break;
		case 98: keyEv.key = KT_UP; break;
		case 104: keyEv.key = KT_DOWN; break;
		case 106: keyEv.key = KT_INSERT; break;
		case 107: keyEv.key = KT_DELETE; break;
		case 97: keyEv.key = KT_HOME; break;
		case 103: keyEv.key = KT_END; break;
		case 99: keyEv.key = KT_PG_UP; break;
		case 105: keyEv.key = KT_PG_DOWN; break;
	};

	PostKeyPress(keyEv);
}

