#include "System.h"
#include <windows.h>

#include <iostream>

Mutex System::s_monitorLock;
/*
class TimeSetting
{
public:
	static const int MS_RESOLUTION = 1;

	TimeSetting()
	{
		timeBeginPeriod(MS_RESOLUTION);
	}
	~TimeSetting()
	{
		timeEndPeriod(MS_RESOLUTION);
	}

};
static TimeSetting s_globalTimeSetting;
*/

long long System::GetTicks()
{
	Mutex::ScopedLock lock(s_monitorLock);

	__int64 count;

	BOOL result;
	result = QueryPerformanceCounter((LARGE_INTEGER*)&count);
	ASSERT(result == TRUE);

	return count;
}

long long System::GetTicksPerSecond()
{
	Mutex::ScopedLock lock(s_monitorLock);

	__int64 freq;

	BOOL result;
	result = QueryPerformanceFrequency((LARGE_INTEGER*)&freq);
	ASSERT(result == TRUE);

	return freq;
}
