#ifndef ARCBALL_H_
#define ARCBALL_H_

#include "Algebra.h"

// This function takes an arcball radius, and two points.  It returns the rotation
// that results from dragging the first point to the second point on a sphere of
// radius radius.
// The parameters are 2d vectors because points on the visible arcball only have
// 2 degrees of freedom.
UnitQuaternion GetRotationFromArcBallPointDelta(const Vector<2>& from, const Vector<2>& to);

#endif
